Create a computer file upload
curl --request POST \
--url https://api.factory.ai/api/v0/computers/{computerId}/files/{fileName}/create-upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sizeBytes": 1073741824,
"contentType": "<string>"
}
'import requests
url = "https://api.factory.ai/api/v0/computers/{computerId}/files/{fileName}/create-upload"
payload = {
"sizeBytes": 1073741824,
"contentType": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sizeBytes: 1073741824, contentType: '<string>'})
};
fetch('https://api.factory.ai/api/v0/computers/{computerId}/files/{fileName}/create-upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transferId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiresAt": 123,
"uploadUrl": "<string>",
"uploadFormFields": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}Computers
Create a computer file upload
Authorizes access to a computer file target and returns a browser upload URL. Complete the upload to copy the object into the computer workspace.
POST
/
api
/
v0
/
computers
/
{computerId}
/
files
/
{fileName}
/
create-upload
Create a computer file upload
承認
Factory API key or JWT token for authentication
パスパラメータ
Computer ID
Workspace file name
Required string length:
1 - 255Pattern:
^(?=.*\S)(?!.*[\\/])(?!.*\.\.)(?!.*[\x00-\x1F\x7F]).+$ボディ
application/json
⌘I
